commit:     7ed2a39abb986e3f4264e059559f1865a1519881
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Jan 12 09:36:55 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 09:36:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ed2a39a

net-ftp/pureadmin: Fix build with gcc-10

Closes: https://bugs.gentoo.org/707206
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Closes: https://github.com/gentoo/gentoo/pull/18967
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../pureadmin/files/pureadmin-0.4-fno-common.patch | 42 +++++++++++++++
 net-ftp/pureadmin/files/pureadmin-0.4-gold.patch   |  8 ---
 net-ftp/pureadmin/pureadmin-0.4-r2.ebuild          | 63 ++++++++++++++++++++++
 3 files changed, 105 insertions(+), 8 deletions(-)

diff --git a/net-ftp/pureadmin/files/pureadmin-0.4-fno-common.patch 
b/net-ftp/pureadmin/files/pureadmin-0.4-fno-common.patch
new file mode 100644
index 00000000000..829867e8c0d
--- /dev/null
+++ b/net-ftp/pureadmin/files/pureadmin-0.4-fno-common.patch
@@ -0,0 +1,42 @@
+https://bugs.gentoo.org/707206
+--- a/src/globals.h
++++ b/src/globals.h
+@@ -90,7 +90,7 @@ typedef enum {
+       RUNMODE_INETD    /* Running through inetd or similar */
+ } ftp_runmode_t;
+ 
+-ftp_runmode_t ftp_runmode;
++extern ftp_runmode_t ftp_runmode;
+ 
+ void exit_program (void);
+ 
+--- a/src/gui_helper.c
++++ b/src/gui_helper.c
+@@ -39,6 +39,7 @@
+ #include "binreloc.h"
+ #include "system_accounts.h"
+ 
++extern ftp_runmode_t ftp_runmode;
+ EggStatusIcon *status_icon = NULL;
+ 
+ static gchar *sec_to_time (gulong sec)
+--- a/src/main.c
++++ b/src/main.c
+@@ -53,6 +53,7 @@
+ gboolean timeout_update_activity (gpointer data);
+ gboolean timeout_check_for_availability (gpointer data);
+ 
++ftp_runmode_t ftp_runmode;
+ static ftp_runmode_t get_ftp_runmode (void);
+ static void activity_show_error_message (const gchar *errmsg);
+ static void activity_show_welcome_message (void);
+--- a/src/mainwin_cb.c
++++ b/src/mainwin_cb.c
+@@ -46,6 +46,7 @@
+ 
+ popup_src_t popup_source;
+ 
++extern ftp_runmode_t ftp_runmode;
+ gboolean usermanager_initialized = FALSE;
+ 
+ static void update_adv_info (void)

diff --git a/net-ftp/pureadmin/files/pureadmin-0.4-gold.patch 
b/net-ftp/pureadmin/files/pureadmin-0.4-gold.patch
index 7b19565ac10..c410da51f50 100644
--- a/net-ftp/pureadmin/files/pureadmin-0.4-gold.patch
+++ b/net-ftp/pureadmin/files/pureadmin-0.4-gold.patch
@@ -1,9 +1,3 @@
- src/Makefile.am |    2 +-
- src/Makefile.in |    2 +-
- 2 files changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/src/Makefile.am b/src/Makefile.am
-index 94f61e0..0ebb561 100644
 --- a/src/Makefile.am
 +++ b/src/Makefile.am
 @@ -38,5 +38,5 @@ pureadmin_CFLAGS = -std=gnu99 -Wall
@@ -13,8 +7,6 @@ index 94f61e0..0ebb561 100644
 -pureadmin_LDADD = @GTK_LIBS@ $(INTLLIBS) @BINRELOC_LIBS@
 +pureadmin_LDADD = @GTK_LIBS@ $(INTLLIBS) @BINRELOC_LIBS@ -lm -lX11
  
-diff --git a/src/Makefile.in b/src/Makefile.in
-index b2ade45..dd9401c 100644
 --- a/src/Makefile.in
 +++ b/src/Makefile.in
 @@ -249,7 +249,7 @@ pureadmin_SOURCES = \

diff --git a/net-ftp/pureadmin/pureadmin-0.4-r2.ebuild 
b/net-ftp/pureadmin/pureadmin-0.4-r2.ebuild
new file mode 100644
index 00000000000..85037c5ca22
--- /dev/null
+++ b/net-ftp/pureadmin/pureadmin-0.4-r2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop
+
+DESCRIPTION="GUI tool used to make the management of Pure-FTPd a little easier"
+HOMEPAGE="http://purify.sourceforge.net/";
+SRC_URI="mirror://sourceforge/purify/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc"
+
+RDEPEND="
+       gnome-base/libglade:2.0
+       sys-libs/zlib
+       virtual/fam
+       x11-libs/gtk+:2
+       x11-libs/libX11"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-gold.patch
+       "${FILESDIR}"/${P}-QA-desktop-file.patch
+       "${FILESDIR}"/${P}-fno-common.patch
+)
+
+src_prepare() {
+       default
+
+       # prevent "make check" from complaining
+       cat >> po/POTFILES.skip <<- EOF || die
+               src/eggstatusicon.c
+               src/eggtrayicon.c
+               src/prereq_usrmanager.c
+       EOF
+}
+
+src_install() {
+       default
+
+       # Move the docs to the correct location, if we want the docs
+       use doc &&
+               dodoc -r "${ED}"/usr/share/pureadmin/docs/.
+       rm -Rv "${ED}"/usr/share/pureadmin/docs || die
+
+       make_desktop_entry pureadmin "Pure-FTPd menu config" pureadmin
+}
+
+pkg_postinst() {
+       ewarn "PureAdmin is at a beta-stage right now and it may break your"
+       ewarn "configuration. DO NOT use it for safety critical system"
+       ewarn "or production use!"
+
+       elog
+       elog "You need root-privileges to be able to use PureAdmin."
+       elog "This will probably change in the future."
+       elog
+}

Reply via email to